//////////////////////////////////////////////////////////////////
//
//  OFS_SIM.H
//
//  Header of Simulation Functions for Low-Level Access 
//
//  Author  : Rene Bllhoff
//  Created : Oct. 2007
//
//////////////////////////////////////////////////////////////////	
//
//  This source file may be used and distributed without
//  restriction provided that this copyright statement is not
//  removed from the file and that any derivative work contains
//  the original copyright notice and the associated disclaimer.
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//										
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public
//  License along with this source; if not, download it	from
//  http://www.gnu.org/licenses/gpl.html	
//
//////////////////////////////////////////////////////////////////

	#ifndef __OFS_SIM_H__
		#define __OFS_SIM_H__


			#define DEFAULT_NUM_SECTORS   65536
      #define DEFAULT_NUM_FILE      65535
			#define FLASH_FILE_NAME				".\\ofs.dat"

			extern B16 bMemoryCreated;


			void vOFSSimInit (void);
			B16 bOFSSimOpenMemory (void);
			void vOFSSimCloseMemory (void);
			void vOFSSimReadSector (U8 *pucData, U32 ulSector);
			void vOFSSimWriteSector (U8 *pucData, U32 ulSector);


			void vOFSMemoryInit(void);
			void vOFSMemoryWrite(U32 adress, void *p_src);
			void vOFSMemoryRead (U32 adress, void *p_dst);

		#endif
